Subject: Re: [Roll] Barry Leiba's No Objection on draft-ietf-roll-useofrplinfo-42: (with COMMENT)

From: Ines Robles <[email-masked]>
Date: Sun, 10 Jan 2021 21:18:33 +0200

Dear Barry,

Thank you very much for your comments and suggestions, we believe that
version 43 (diff) addresses your concern, please find comments inline:

Diff: https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-useofrplinfo-43

On Thu, Dec 17, 2020 at 6:10 AM Barry Leiba via Datatracker <
[email-masked]> wrote:

>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> — Section 2 —
>
>    Flag Day: In this document, refers to a transition that involves
>    having a network with different values of RPI Option Type.
>
> I don’t understand.  First, I don’t find the text here clear at all: is it
> trying to say that two different values are coexisting (present at the same
> time) in one network?  Second, that seems to be exactly the opposite of
> what we
> usually use a flag day for.  The normal meaning of “flag day” is a preset
> time
> when a changeover is made, exactly *because* the old and the new can’t
> coexist
> interoperably.  A “flag day” isn’t a situation caused by two
> non-interoperable
> things... it’s a mechanism for resolving such a situation by making an
> abrupt,
> planned changeover from one to the other.
>

<authors> Thank you for the clarification, the new description of flag day
is as follows:

Flag Day: It is a mechanism for resolving an interoperability
 situation (e.g. lack of interoperation between new RPI Option Type
(0x23) and old RPI Option Type (0x63) nodes) by making an abrupt,
disruptive changeover from one to the other.

</authors>

> — Section 4.2 —
>
>    Thus, this document updates the Option Type of the RPL Option
>    [RFC6553], abusively naming it RPI Option Type for simplicity,
>
> What is the point of “abusively” here?  What’s it supposed to mean?
>

 <authors > it means that have been used plenty, we have deleted
“abusively”</authors >

>
> — Section 10 —
>
>    This options allows to send
>    packets to not-RPL nodes, which should ignore the option and continue
>    processing the packets.
>
> I can’t sort this sentence out:
> 1. “This options” is mixing singular and plural.
> 2. No option or options has/have been mentioned before, so I don’t know
> what
> option(s) it’s talking about. 3. I guess you mean “non-RPL”, rather than
> “not-RPL“. 4. Allows *who* to send packets?  “Allows to” needs a subject,
> like
> “allows a node to send”, or some such. 5. What is the antecedent to
> “which”?
> It’s not clear to me.
>

 <authors > The new sentence is as follows:

The 0x23 RPI Option allows to send packets to not-RPL nodes. The not-RPL
nodes should ignore the option and continue processing the packets.

</authors >

>
>    As mentioned previously, indicating the new RPI in the DODAG
>    Configuration option flag is a way to avoid the flag day (lack of
>    interoperation) in a network using 0x63 as the RPI Option Type value.
>
> I’ll just note that this is a correct use of “flag day”, but with an odd
> explanation in the parentheses.  I would say “(abrupt, disruptive
> changeover)”.
>

<authors > changed to - abrupt changeover-

....indicating the new RPI in the DODAG Configuration option flag is a way
to avoid the flag day (abrupt changeover) in a network using 0x63 as the
RPI Option Type value...

.</authors >

Thank you again,

Ines, Pascal and Michael.